---
title: Notification.vibrate
slug: Web/API/Notification/vibrate
tags:
  - API
  - Device
  - Notification
  - Notifications
  - Notifications API
  - Property
  - Reference
  - vibrate
---
<p>{{APIRef("Web Notifications")}}{{AvailableInWorkers}}{{securecontext_header}}</p>

<p>The <code>vibrate</code> read-only property of the {{domxref("Notification")}} interface specifies a <a href="/en-US/docs/Web/Guide/API/Vibration#Vibration_patterns">vibration pattern</a> for the device's vibration hardware to emit when the notification fires. This is specified in the <code>vibrate</code> option of the {{domxref("Notification.Notification","Notification()")}} constructor.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>vibrate</var> = <var>Notification</var>.vibrate;
</pre>

<h3 id="Return_Value">Value</h3>

<p>A <a href="/en-US/docs/Web/Guide/API/Vibration#Vibration_patterns">vibration pattern</a>, as specified in the <a href="http://dev.w3.org/2009/dap/vibration/">Vibration API spec</a>.</p>

<h2 id="Examples">Examples</h2>

<p>The following snippet is intended to create a notification that also triggers a device vibration; a simple <code>options</code> object is created, and then the notification is fired using the <code>Notification()</code> constructor.</p>

<pre class="brush: js notranslate">var options = {
  body: 'Do you like my body?',
  vibrate: [200, 100, 200]
}

var n = new Notification('Test notification',options);

console.log(n.vibrate) // should log [200,100,200]</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Notifications','#dom-notification-vibrate','vibrate')}}</td>
   <td>{{Spec2('Web Notifications')}}</td>
   <td>Living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Notification.vibrate")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Notifications_API/Using_the_Notifications_API">Using the Notifications API</a></li>
</ul>
